%define xrootdir	/usr
%define xconfdir	/etc/X11
%define name		wmnet
%define version		1.06
%define release		%mkrel 6

Summary:		Applet that monitors the network
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Graphical desktop/WindowMaker
URL:			http://dockapps.org/file.php/id/77
Source0:		http://dockapps.org/download.php/id/115/%{name}-%{version}.tar.bz2
Source1:		%{name}.wmconfig
Source2:		wmnet-icons.tar.bz2
Patch0:			wmnet-sa-restorer.patch
Patch1:			wmnet-1.05-man-graph.patch
Patch2:			wmnet-1.05-glibc22.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		libx11-devel libxext-devel imake

%description 
Wmnet uses ip accounting in the Linux kernel
to monitor your network.

%prep
%setup
%patch0 -p1 -b .sigaction
%patch1 -p1 -b .man-graph
%patch2 -p1 -b .glibc22

%build
xmkmf
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT

# wmnet standard install
install -d %buildroot/%_bindir
install -d %buildroot/%_mandir/man1
install -m 755 -s wmnet %buildroot/%_bindir
install -m 644 wmnet.man %buildroot/%_mandir/man1/wmnet.1

# wmaker config file
install -d %buildroot/%xconfdir/wmconfig
cp %{SOURCE1} %buildroot/%xconfdir/wmconfig/%name

# mdv menu icons
mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
tar jxvf %{SOURCE2} -C %buildroot/%_iconsdir
# fd.o icons
cp %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/hicolor/32x32/apps/%{name}.png
cp %buildroot/%_liconsdir/%name.png %buildroot/%_iconsdir/hicolor/48x48/apps/%{name}.png
cp %buildroot/%_miconsdir/%name.png %buildroot/%_iconsdir/hicolor/16x16/apps/%{name}.png

# mdv menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=WMnet
Comment=A WindowMaker dock network monitor
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files
%attr(-,root,root)	
%doc README Changelog
%config(noreplace) %{xconfdir}/wmconfig/%{name}
%{_bindir}/wmnet
%{_mandir}/man1/wmnet.1*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -r $RPM_BUILD_ROOT


%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-6mdv2008.0
+ Revision: 90356
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Jun 16 2007 Adam Williamson <awilliamson@mandriva.com> 1.06-5mdv2008.0
+ Revision: 40263
- clean spec, xdg menu, fd.o icons, rebuild for new era
- Import wmnet



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.06-4mdk
- Rebuild

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.06-3mdk
- fix buildrequires
- drop ExclusiveOs tag;)

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.06-2mdk
- rebuild

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-1mdk
- 1.06

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 1.05-13mdk
- Fix menu entry

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-12mdk
- Fix invalid-distribution Linux-Mandrake
- Sanitize spec file (s/Copyright/License/)
- Patch1: correct graph documentation for tx/rx description
- Patch2: fix build with glibc-2.2 which defines printf() as a macro when
  gcc-2.97 or later is used

* Wed Mar 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-11mdk
- Fixed group entry: use "WindowMaker" instead of "Window Maker"

* Tue Feb 27 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-10mdk
- Cleaned up specfile
- Added documentation files
- Added mdk menu icons
- Fixed URL to WMnet homepage

* Fri Feb  9 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.05-9mdk
- Remove linux-specific code to set sa_restorer
  member of the signal_action structure.
- Remove ExclusiveArch tag, not needed.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.05-8mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-7mdk
- let spechelcompress man pages
- fix tmmpath

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-6mdk
- BM

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.05-5mdk
- New group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.05-4mdk
- Added PPC support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.05-3mdk
- Don't build for alpha.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed Permissions
- Build Release

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant.
- Group changed.
